Check-in [e95acf08f0]
Overview
Comment:Added zlib package

Added support for specifying --with-zlib to kitsh if zlib built fine

Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:e95acf08f001a408f7e7a1b4c645313666397f22
User & Date: rkeene on 2010-09-26 04:40:48
Other Links: manifest | tags
Context
2010-09-26
04:40
KitCreator 0.1.0.x check-in: c48a3eddef user: rkeene tags: trunk, 0.1.0
04:40
Added zlib package

Added support for specifying --with-zlib to kitsh if zlib built fine check-in: e95acf08f0 user: rkeene tags: trunk

04:40
Cleaned up LDFLAGS settings

Fixed issue with "--with-zlib" wiping out LDFLAGS check-in: 56c3d5d022 user: rkeene tags: trunk

Changes

Modified kitcreator from [fd35339ae1] to [be98577a11].

    21     21   fi
    22     22   
    23     23   CONFIGUREEXTRA="$@"
    24     24   export CONFIGUREEXTRA
    25     25   
    26     26   failedpkgs=""
    27     27   buildfailed="0"
    28         -for pkg in tcl tk itcl mk4tcl tclvfs kitsh; do
           28  +for pkg in tcl tk itcl mk4tcl tclvfs zlib kitsh; do
    29     29   	if [ "${mode}" = "distclean" ]; then
    30     30   		rm -rf "${pkg}/src"
    31     31   	fi
    32     32   
    33     33   	if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then
    34     34   		rm -f "${pkg}/build.log"
    35     35   		rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build"

Modified kitsh/build.sh from [f495d0968a] to [73b3561dba].

    29     29   
    30     30   (
    31     31   	cp -r 'buildsrc' 'build'
    32     32   	cd "${BUILDDIR}" || exit 1
    33     33   
    34     34   	# Cleanup, just incase the incoming directory was not pre-cleaned
    35     35   	${MAKE:-make} distclean >/dev/null 2>/dev/null
           36  +
           37  +	# Figure out if zlib compiled
           38  +	ZLIBDIR=$(cd "${OTHERPKGSDIR}/zlib/inst"; pwd)
           39  +	export ZLIBDIR
           40  +	if [ ! -f "${ZLIBDIR}/lib/libz.a" ]; then
           41  +		unset ZLIBDIR
           42  +	fi
    36     43   
    37     44   	# Compile Kitsh
    38         -	./configure --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA}
           45  +	if [ -z "${ZLIBDIR}" ]; then
           46  +		echo "./configure --with-tcl=\"${TCLCONFIGDIR}\" ${CONFIGUREEXTRA}"
           47  +
           48  +		./configure --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA}
           49  +	else
           50  +		echo "./configure --with-tcl=\"${TCLCONFIGDIR}\" --with-zlib=\"${ZLIBDIR}\" ${CONFIGUREEXTRA}"
           51  +
           52  +		./configure --with-tcl="${TCLCONFIGDIR}" --with-zlib="${ZLIBDIR}" ${CONFIGUREEXTRA}
           53  +	fi
    39     54   	${MAKE:-make} || exit 1
    40     55   
    41     56   	# Strip the kit of all symbols, if possible
    42     57   	strip kit >/dev/null 2>/dev/null
    43     58   
    44     59   	# Create VFS directory
    45     60   	mkdir "starpack.vfs"

Added zlib/build.sh version [72ab3f6699].

            1  +#! /bin/bash
            2  +
            3  +if [ ! -f 'build.sh' ]; then
            4  +	echo 'ERROR: This script must be run from the directory it is in' >&2
            5  +
            6  +	exit 1
            7  +fi
            8  +if [ -z "${TCLVERS}" ]; then
            9  +	echo 'ERROR: The TCLVERS environment variable is not set' >&2
           10  +
           11  +	exit 1
           12  +fi
           13  +
           14  +ZLIBVERS="1.2.3"
           15  +SRC="src/zlib-${ZLIBVERS}.tar.gz"
           16  +SRCURL="http://www.zlib.net/zlib-${ZLIBVERS}.tar.gz"
           17  +BUILDDIR="$(pwd)/build/zlib-${ZLIBVERS}"
           18  +OUTDIR="$(pwd)/out"
           19  +INSTDIR="$(pwd)/inst"
           20  +export ZLIBVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR
           21  +
           22  +rm -rf 'build' 'out' 'inst'
           23  +mkdir 'build' 'out' 'inst' || exit 1
           24  +
           25  +if [ ! -f "${SRC}" ]; then
           26  +	mkdir 'src' >/dev/null 2>/dev/null
           27  +
           28  +	rm -f "${SRC}.tmp"
           29  +	wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
           30  +	mv "${SRC}.tmp" "${SRC}"
           31  +fi
           32  +
           33  +(
           34  +	cd 'build' || exit 1
           35  +
           36  +	if [ ! -d '../buildsrc' ]; then
           37  +		gzip -dc "../${SRC}" | tar -xf -
           38  +	else    
           39  +		cp -rp ../buildsrc/* './'
           40  +	fi
           41  +
           42  +	cd "${BUILDDIR}" || exit 1
           43  +	# We don't pass CONFIGUREEXTRA here, since this isn't a GNU autoconf
           44  +	# script and will puke
           45  +	./configure --prefix="${INSTDIR}"
           46  +
           47  +	${MAKE:-make} || exit 1
           48  +
           49  +	${MAKE:-make} install
           50  +
           51  +	# We don't really care too much about failure in zlib
           52  +	exit 0
           53  +) || exit 1
           54  +
           55  +exit 0